MANIPULATORS.camera = {
	isTool = true,
	category = "tile",
	onGetCamera = function(self)
		return self.state.view.camera
	end,
	onHeldScreenFunction = function(self, func, sx, sy, time)
		if func == "fly" then
			self:getCamera():nudge((sx - self.flyClickX)*time*10, (sy - self.flyClickY)*time*10, true)
		end
	end,
	onDraggedScreenFunction = function(self, func, sdx, sdy, time)
		if func == "drag" then
			self:getCamera():nudge(sdx, sdy, true)
		end
	end,
	getPrimaryFunction = function(self)
		return "drag"
	end,
	getSecondaryFunction = function(self)
		return "fly"
	end,
}